## GspellLanguageChooserDialog GspellLanguageChooserDialog — Dialog to choose a GspellLanguage |

## Functions

GtkWidget * | gspell_language_chooser_dialog_new ()

## Types and Values

| GspellLanguageChooserDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── GspellLanguageChooserDialog

## Implemented Interfaces

GspellLanguageChooserDialog implements AtkImplementorIface, GtkBuildable and GspellLanguageChooser.

## Includes

    #include <gspell/gspell.h>

## Description

GspellLanguageChooserDialog is a GtkDialog to choose an available GspellLanguage. GspellLanguageChooserDialog implements the GspellLanguageChooser interface.

The “language” and “language-code” properties are updated only when the Select button is pressed or when a row is activated (e.g. with a double-click).

The application is responsible to destroy the dialog, typically when the “response” signal has been received or `gtk_dialog_run()` has returned.

## Functions

### gspell_language_chooser_dialog_new ()

    GtkWidget *
    gspell_language_chooser_dialog_new (GtkWindow *parent,
                                        const GspellLanguage *current_language,
                                        GtkDialogFlags flags);

#### Parameters

parent | transient parent of the dialog. |
current_language | the GspellLanguage to select initially, or `NULL` to pick the default language. | [nullable]
flags | GtkDialogFlags |

#### Returns

a new GspellLanguageChooserDialog widget.

## Types and Values

### GspellLanguageChooserDialog

    typedef struct _GspellLanguageChooserDialog GspellLanguageChooserDialog;

## See Also

GspellLanguage, GspellLanguageChooser